Skip to main content
GET
/
cluster
/
operations
/
{cluster}
List all operations for a cluster
curl --request GET \
  --url https://api.example.com/cluster/operations/{cluster} \
  --header 'Authorization: Bearer <token>'
[
  {}
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster
string
required

Query Parameters

num_requests
integer | null

Limit number of operations returned

request_type
enum<string> | null

Filter by operation type Request type enum representing all supported operation types.

Available options:
CLUSTER_CLAIM,
CLUSTER_RELEASE,
CLUSTER_EDIT,
STORAGE_CREATE,
STORAGE_DESTROY,
STORAGE_ATTACH,
STORAGE_DETACH,
STORAGE_EDIT
request_status
enum<string> | null

Filter by operation status Request status enum.

Terminal states: COMPLETED, FAILED Non-terminal states: PENDING, PROCESSING, RETRYING

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
RETRYING

Response

Successful Response